-- 2019.10.31 by xf
ALTER TABLE `mark_user`
ADD COLUMN `standard_volume` BIT(1) NOT NULL default false COMMENT '设置标准卷' AFTER `one_click_level`;

ALTER TABLE `paper`
ADD COLUMN `exam_room` VARCHAR(255) NULL COMMENT '考点' AFTER `random_seq`;


-- 2019.11.04 by xf
ALTER TABLE `mark_log`
ADD COLUMN `login_time` DATETIME NULL COMMENT '登录时间（采集专用）' AFTER `student_name`,
ADD COLUMN `logout_time` DATETIME NULL COMMENT '登出时间（采集专用）' AFTER `login_time`;


ALTER TABLE `paper`
ALTER TABLE paper ADD COLUMN `is_test` TINYINT NOT NULL DEFAULT 0 COMMENT '是否试评，1:数据已导入，2:试评中';
ALTER TABLE paper ADD COLUMN `is_active` BIT(1) NOT NULL DEFAULT false COMMENT '是否激活' AFTER `is_test`;
ALTER TABLE paper ADD COLUMN `batch_no` bigint(45) COMMENT '批次号' AFTER `is_active`;

-- 2019.11.05 by xf
ALTER TABLE `mark_task`
ADD COLUMN `is_active` BIT(1) NULL DEFAULT false COMMENT '是否激活' AFTER `random_seq_new`;

-- 2019.11.05 by wl
ALTER TABLE mark_subject ADD ADD `is_test` TINYINT NOT NULL DEFAULT 0 COMMENT '是否试评，1:数据已导入，2:试评中，3:正评中';

ALTER TABLE mark_subject ADD COLUMN `is_formal` BIT(1) NOT NULL DEFAULT 0 COMMENT '是否正评，0:不是，1:是';

ALTER TABLE student ADD COLUMN `is_test` varchar(50) NOT NULL DEFAULT 0 COMMENT '是否试评，1:数据已导入，2:试评中';

ALTER TABLE mark_task ADD COLUMN `is_test` TINYINT NOT NULL DEFAULT 0 COMMENT '是否试评，1:数据已导入，2:试评中';

ALTER TABLE exam_question ADD COLUMN `is_test` TINYINT NOT NULL DEFAULT 0 COMMENT '是否试评，1:数据已导入，2:试评中';

ALTER TABLE paper ADD COLUMN `is_test` TINYINT NOT NULL DEFAULT 0 COMMENT '是否试评，1:数据已导入，2:试评中';

alter table student drop KEY `exam_number`;

alter table student ADD UNIQUE index(`exam_number`,`work_id`,`is_test`);

-- 2019.11.08 by wl
ALTER TABLE `mark_user` ADD COLUMN `level_callback` BIT(1) NOT NULL default false COMMENT '档位打回';

-- 2019.11.14 by xf
ALTER TABLE `mark_log`
ADD COLUMN `work_name` VARCHAR(255) NULL COMMENT '工作名称' AFTER `work_id`;

-- 2019.11.21 by wl
ALTER TABLE mark_task ADD COLUMN `batch_no` bigint(45) COMMENT '批次号';

ALTER TABLE mark_subject ADD COLUMN `all_level` BIT(1) NOT NULL DEFAULT 0 COMMENT '是否全部根据档位分配完，0:不是，1:是';